/*  XCLIB - a set of C functions for general purposes		      -*- c -*-
    Copyright (C) 1996-2001  Martin Vicente

    This file is part of the eXtended C Library (XCLIB).

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library (see the file COPYING.LIB).
    If not, write to the Free Software Foundation, Inc.,
    59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.		     */


/*|+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++|*\
  |  Martin Vicente, 1996-2001
  |
  | Project : XCLIB (eXtended C Library)
  | Purpose : PROTECTED MEMORY ALLOCATION FUNCTIONS (errors)
  | Version : 0.3
  | Language: ANSI C
  | File    : xalloc/errors.h
  | Author  : Martin VICENTE <martin@vicente.org>
\*|+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++|*/


#define ERR_MALLOC	"Can't allocate memory"
#define ERR_CALLOC	"Can't allocate memory for an array"
#define ERR_REALLOC	"Can't reallocate memory"
#define ERR_MEMDUP	"Can't duplicate memory bytes"
#define ERR_MEMADD	"Can't append memory bytes"
#define ERR_STRDUP	"Can't duplicate string"
#define ERR_STRADD	"Can't append string"


/* END OF FILE */
