#define _XOPEN_SOURCE 500

#include "xc/standards.h"

int puts(), printf();

int main()
{
#if _GNU_SOURCE - 0 > 0
    printf("_GNU_SOURCE = %ld\n", (long int)_GNU_SOURCE);
#elif defined _GNU_SOURCE
    puts("_GNU_SOURCE");
#endif
#if _XOPEN_SOURCE - 0 > 0
    printf("_XOPEN_SOURCE = %ld\n", (long int)_XOPEN_SOURCE);
#elif defined _XOPEN_SOURCE
    puts("_XOPEN_SOURCE");
#endif
#if _XOPEN_SOURCE_EXTENDED - 0 > 0
    printf("_XOPEN_SOURCE_EXTENDED = %ld\n", (long int)_XOPEN_SOURCE_EXTENDED);
#elif defined _XOPEN_SOURCE_EXTENDED
    puts("_XOPEN_SOURCE_EXTENDED");
#endif
#if _XOPEN_VERSION - 0 > 0
    printf("_XOPEN_VERSION = %ld\n", (long int)_XOPEN_VERSION);
#elif defined _XOPEN_VERSION
    puts("_XOPEN_VERSION");
#endif
#if _POSIX_C_SOURCE - 0 > 0
    printf("_POSIX_C_SOURCE = %ld\n", (long int)_POSIX_C_SOURCE);
#elif defined _POSIX_C_SOURCE
    puts("_POSIX_C_SOURCE");
#endif
#if _POSIX_SOURCE - 0 > 0
    printf("_POSIX_SOURCE = %ld\n", (long int)_POSIX_SOURCE);
#elif defined _POSIX_SOURCE
    puts("_POSIX_SOURCE");
#endif
#if _ANSI_C_SOURCE - 0 > 0
    printf("_ANSI_C_SOURCE = %ld\n", (long int)_ANSI_C_SOURCE);
#elif defined _ANSI_C_SOURCE
    puts("_ANSI_C_SOURCE");
#endif
#if _ISOC99_SOURCE - 0 > 0
    printf("_ISOC99_SOURCE = %ld\n", (long int)_ISOC99_SOURCE);
#elif defined _ISOC99_SOURCE
    puts("_ISOC99_SOURCE");
#endif
#if _ISOC9X_SOURCE - 0 > 0
    printf("_ISOC9X_SOURCE = %ld\n", (long int)_ISOC9X_SOURCE);
#elif defined _ISOC9X_SOURCE
    puts("_ISOC9X_SOURCE");
#endif
#if _BSD_SOURCE - 0 > 0
    printf("_BSD_SOURCE = %ld\n", (long int)_BSD_SOURCE);
#elif defined _BSD_SOURCE
    puts("_BSD_SOURCE");
#endif
#if _SVID_SOURCE - 0 > 0
    printf("_SVID_SOURCE = %ld\n", (long int)_SVID_SOURCE);
#elif defined _SVID_SOURCE
    puts("_SVID_SOURCE");
#endif

#if __XC_USE_GNU - 0 > 0
    printf("__XC_USE_GNU = %ld\n", (long int)__XC_USE_GNU);
#elif defined __XC_USE_GNU
    puts("__XC_USE_GNU");
#endif
#if __XC_USE_XPG5 - 0 > 0
    printf("__XC_USE_XPG5 = %ld\n", (long int)__XC_USE_XPG5);
#elif defined __XC_USE_XPG5
    puts("__XC_USE_XPG5");
#endif
#if __XC_USE_XPG4v2 - 0 > 0
    printf("__XC_USE_XPG4v2 = %ld\n", (long int)__XC_USE_XPG4v2);
#elif defined __XC_USE_XPG4v2
    puts("__XC_USE_XPG4v2");
#endif
#if __XC_USE_XPG4 - 0 > 0
    printf("__XC_USE_XPG4 = %ld\n", (long int)__XC_USE_XPG4);
#elif defined __XC_USE_XPG4
    puts("__XC_USE_XPG4");
#endif
#if __XC_USE_XPG3 - 0 > 0
    printf("__XC_USE_XPG3 = %ld\n", (long int)__XC_USE_XPG3);
#elif defined __XC_USE_XPG3
    puts("__XC_USE_XPG3");
#endif
#if __XC_USE_PTHREADS - 0 > 0
    printf("__XC_USE_PTHREADS = %ld\n", (long int)__XC_USE_PTHREADS);
#elif defined __XC_USE_PTHREADS
    puts("__XC_USE_PTHREADS");
#endif
#if __XC_USE_POSIX_RT - 0 > 0
    printf("__XC_USE_POSIX_RT = %ld\n", (long int)__XC_USE_POSIX_RT);
#elif defined __XC_USE_POSIX_RT
    puts("__XC_USE_POSIX_RT");
#endif
#if __XC_USE_POSIX2 - 0 > 0
    printf("__XC_USE_POSIX2 = %ld\n", (long int)__XC_USE_POSIX2);
#elif defined __XC_USE_POSIX2
    puts("__XC_USE_POSIX2");
#endif
#if __XC_USE_POSIX1 - 0 > 0
    printf("__XC_USE_POSIX1 = %ld\n", (long int)__XC_USE_POSIX1);
#elif defined __XC_USE_POSIX1
    puts("__XC_USE_POSIX1");
#endif
#if __XC_USE_ANSI - 0 > 0
    printf("__XC_USE_ANSI = %ld\n", (long int)__XC_USE_ANSI);
#elif defined __XC_USE_ANSI
    puts("__XC_USE_ANSI");
#endif
#if __XC_USE_ISOC99 - 0 > 0
    printf("__XC_USE_ISOC99 = %ld\n", (long int)__XC_USE_ISOC99);
#elif defined __XC_USE_ISOC99
    puts("__XC_USE_ISOC99");
#endif
#if __XC_USE_BSD - 0 > 0
    printf("__XC_USE_BSD = %ld\n", (long int)__XC_USE_BSD);
#elif defined __XC_USE_BSD
    puts("__XC_USE_BSD");
#endif
#if __XC_USE_SVID - 0 > 0
    printf("__XC_USE_SVID = %ld\n", (long int)__XC_USE_SVID);
#elif defined __XC_USE_SVID
    puts("__XC_USE_SVID");
#endif

    return 0;
}
